This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src in repository toolchain/semiautobench.
commit bd4bad91718429aaf0373bdbcf7f24820ba76fde Author: Bernard Ogden bernie.ogden@linaro.org Date: Wed Jul 22 17:04:58 2015 +0200
Get a socket to put our one-time key on targets
Change-Id: Idf32073d286e28103c4a3c8c88c0139834a35250 --- invoke_session_debian | 16 +++++++--------- 1 file changed, 7 insertions(+), 9 deletions(-)
diff --git a/invoke_session_debian b/invoke_session_debian index a9c8d50..de5996e 100755 --- a/invoke_session_debian +++ b/invoke_session_debian @@ -79,15 +79,11 @@ if ! ssh -i ~/data/onetime -o StrictHostKeyChecking=no localhos [...] fi
#This would be two agents if we wanted one for source, one for job -mkdir ~/data || exit 1 -chmod 700 ~/data || exit 1 -echo "*** WAITING FOR KEY: ${ip_addr}" -while ! test -e ~/data/targetkey; do +echo "*** WAITING FOR AGENT: ${ip_addr}" +while ! test -e ~/data/socket; do inotifywait -e create ~/data done -chmod 600 ~/data/targetkey || exit 1 -eval `ssh-agent` -ssh-add ~/data/targetkey || exit 1 +export SSH_AUTH_SOCK=~/data/socket echo "" mkdir -p /run mkdir -p /run/hacking @@ -106,8 +102,9 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | aw [...] if test -z "${target_ip}"; then echo "Failed to find IP for ${lava_name}"; sleep [...] echo "IP ${target_ip}"
- #Check that target is accessible, add to known_hosts - if ! ssh -o StrictHostKeyChecking=no true; then + #Check that target is accessible, add it to our known_hosts, + #add our one-time key to it's authorized_keys + if ! cat ~/data/onetime.pub | ssh -o StrictHostKeyChecking=no "${target_ip}" "ca [...] echo "Could not access target ${target_ip} (${lava_name})" >&2 exit 1 fi @@ -125,6 +122,7 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | aw [...] done export targets="${target_names[@]}"
+echo "*** DONE WITH AUTH SOCKET, YOU MAY CLOSE THE CONNECTION" echo "Running benchmark... I may be some time" export LAVA_IN_LAB=1 "${ABE_DIR}"/scripts/Benchmark.job